Subject: HTTP/2 Implementation Draft 5 (and getting to Working Group Last Call)

From: Mark Nottingham <[email-masked]>
Date: Fri, 27 Jun 2014 18:02:16 +1000

At the NYC interim, we stated that we wanted draft -13 to have a long period of time for implementation and deployment experience, in lead-up to WGLC.

However, we still have a number of design issues open: <https://github.com/http2/http2-spec/issues?labels=design&page=1&state=open>

Some of these are non-blocking; others can be accounted for in prose without greatly affecting the wire format or implementation behaviour. A few were more substantial, but if I read the WG correctly, we don't have support to make such invasive changes at this stage (as discussed in separate threads).

Therefore, let's call -13 our fifth implementation draft as planned. I've updated the HTTP/2 page accordingly:
  <http://http2.github.io>

In NYC, we discussed giving it a distinct ALPN token, e.g., "h2-lc". However, after talking it through with Martin, we came to the position that doing so isn't wise; we shouldn't embed transitory state in identifiers (especially if we end up needing further revisions).

However, the intent is the same -- this implementation draft will stand for a longer period, in order to get widespread implementation *and* deployment. 

Since the document has outstanding issues (that shouldn't affect the wire protocol greatly, but will change spec wording), I'm going to hold off making a WGLC until we've disposed of those issues. That said, please treat the protocol design itself as if it's in WGLC; we still aim to finish that process in September, as stated in NYC.

Cheers,

--
Mark Nottingham   https://www.mnot.net/